var PuppetryClientSystemService = {
		
	getClientSystems : function(success, error, context) {
		var requestURL = '../clientsystem';

		$.ajax({
			url : requestURL,
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
	getClientSystem : function(id, success, error, context) {
		var requestURL = '../clientsystem/' + id;

		$.ajax({
			url : requestURL,
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
		
	updateClientSystem : function(clientSystem, success, error, context) {
		var requestURL = '../clientsystem/' + encodeURIComponent(clientSystem.id);
		
		$.ajax({
			url : requestURL,
			method: 'PUT',
			contentType: 'application/json',
			dataType : 'json',
			data: JSON.stringify(clientSystem),	
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
	validateClientSystem : function(clientSystem, success, error, context) {
		var requestURL = '../clientsystem/warnings';
		
		$.ajax({
			url : requestURL,
			method: 'POST',
			contentType: 'application/json',
			dataType : 'json',
			data: JSON.stringify(clientSystem),	
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
	getTruststore : function(id, success, error, context) {
		var requestURL = '../clientsystem/' + encodeURIComponent(id) + '/authentication/truststore';
		window.open(requestURL,'_blank');
	},
	
	generateTruststore : function(id, success, error, context) {
		var requestURL = '../clientsystem/' + encodeURIComponent(id) + '/authentication/truststore';
		
		$.ajax({
			url : requestURL,
			method: 'PUT',
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
	deleteTruststore : function(id, success, error, context) {
		var requestURL = '../clientsystem/' + encodeURIComponent(id) + '/authentication/truststore';
		
		$.ajax({
			url : requestURL,
			method: 'DELETE',
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
};