function PuppetryConnectorLogUI() {
	this._header = '<span class="font-20">Konnektor &lt; </span><span class="font-50">Protokolle</span>';
	this._contentId = '.connector-log-content';
	this._menuItemId = '.common-connector-log';
}
		
PuppetryConnectorLogUI.prototype.initUI = function() {
	
};

PuppetryConnectorLogUI.prototype.showUI = function() {
	var self = this;
	
	if ($('#wrapper').hasClass('admin-mode')) {
		$('.admin-mode > .header').html(this._header);
		$('.admin-content').hide();
	} else {
		$('.live-mode > .header').html(this._header);
		$('.live-content').hide();
	}
	var detailHeight = $(window).height() - $('.navbar.navbar-default').height();
	$(this._contentId).css('min-height', detailHeight);
	$(this._contentId).show();
};
		
PuppetryConnectorLogUI.prototype.downloadLog = function(type) {
	PuppetryLogService.downloadLog(
			type,
			function(data, textStatus, jqXHR) {},
			EHexServiceUtil.onErrorHandler
		);
};

PuppetryConnectorLogUI.prototype.downloadZip = function(type) {
	PuppetryLogService.downloadZip(
			type,
			function(data, textStatus, jqXHR) {},
			EHexServiceUtil.onErrorHandler
		);
};