var PuppetryLiveClientService = {
		
	getClients : function(success, error, context) {
		var requestURL = '../runtime/client';

		$.ajax({
			url : requestURL,
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
	getClient : function(id, success, error, context) {
		var requestURL = '../runtime/client/' + id;

		$.ajax({
			url : requestURL,
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
			
	changeClientState : function(clientId, state, success, error, context) {		
		var requestURL = '../runtime/client/' + encodeURIComponent(clientId) + "/active/" + state;
		
		$.ajax({
			url : requestURL,
			method: 'PUT',
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
		
	getTerminals : function(clientId, success, error, context) {
		var requestURL = '../runtime/client/' + encodeURIComponent(clientId) + '/terminal';

		$.ajax({
			url : requestURL,
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000, 
			context : context
		});
	},
	
	getTerminal : function(clientId, terminalId, success, error, context) {
		var requestURL = '../runtime/client/' + encodeURIComponent(clientId) + '/terminal/' + encodeURIComponent(terminalId);

		$.ajax({
			url : requestURL,
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
	changeTerminalConnection : function(clientId, terminalId, state, success, error, context) {		
		var requestURL = '../runtime/client/' + encodeURIComponent(clientId) + '/terminal/' + encodeURIComponent(terminalId) + "/connection/" + state;
		
		$.ajax({
			url : requestURL,
			method: 'PUT',
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
	insertCard : function(clientId, terminalId, slot, cardId, success, error, context) {		
		var requestURL = '../runtime/client/' + clientId + '/terminal/' + encodeURIComponent(terminalId) + '/' + encodeURIComponent(slot) + '/card/' + encodeURIComponent(cardId);
		
		$.ajax({
			url : requestURL,
			method: 'PUT',
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
	removeCard : function(clientId, terminalId, slot, success, error, context) {		
		var requestURL = '../runtime/client/' + clientId + '/terminal/' + encodeURIComponent(terminalId) + '/' + encodeURIComponent(slot) + '/card';
		
		$.ajax({
			url : requestURL,
			method: 'PUT',
			dataType : 'json',
			success : success,
			error : error,
			timeout : 150000,
			context : context
		});
	},
	
};