var PuppetryInfos = {
	
	texts : {
		client_principalId : 'ID des Mandanten (Mandant, Client-System und Arbeitsplatz müssen systemweit eindeutig sein).',
		client_clientSystemId : 'ID des Client-Systems (Mandant, Client-System und Arbeitsplatz müssen systemweit eindeutig sein).',
		client_workplaceId : 'ID des Arbeitsplatzes (Mandant, Client-System und Arbeitsplatz müssen systemweit eindeutig sein).',
		client_active : 'Angabe, ob der Mandant aktuell nutzbar sein soll.',		
		
		terminal_ctId : 'ID des Kartenterminals',			
		terminal_name : 'Bezeichnung des Kartenterminals.',
		terminal_macAddress : 'MAC-Adresse des Kartenterminals.',
		terminal_ipv4Address : 'IPv4-Adresse des Kartenterminals.',
		terminal_ipv6Address : 'IPv6-Adresse des Kartenterminals.',
		terminal_local : 'Angabe, ob das Kartenterminal lokal/räumlich ("in Sichtweite") dem Arbeitsplatz zugeordnet ist (bzw. wenn nicht, ob es vom Arbeitsplatz entfernt ist).',
		terminal_physical : 'Angabe, ob es sich um ein physisches Kartenterminal handelt (bzw. wenn nicht, ob es sich um ein logisches Kartenterminal/HSM-B handelt).',
		terminal_connected : 'Angabe, ob das Kartenterminal aktuell verfügbar sein soll.',
		
		ehc_label : 'Bezeichnung der Versichertenkarten.',
		ehc_iccsn : 'ICCSN der Versichertenkarten (z.B. 80276991110000000000).',
		ehc_initialPinStatus : 'PIN-Status der Versichertenkarten beim Stecken der Karte ins Kartenterminal.',
		ehc_certExpirationDate : 'Gibt die Gültigkeit der Versichertenkarte an (das Datum muss in der Zukunft liegen).',
		ehc_cardType : 'Typ der Versichertenkarte.',
		ehc_status_pn : 'Antwortverhalten für die Versichertenkarte.',
		ehc_status_toggleData : 'Angabe, ob nach jedem Abrufen der Versichertenstammdaten Teile der Versichertenstammdaten geändert werden sollen, um ein Update der Daten zu simulieren.',
	
		ehc_givenName : 'Vorname des Versicherten (max. 45 Zeichen).',
		ehc_surname : 'Nachname des Versicherten (max. 45 Zeichen).',
		ehc_dateOfBirth : 'Gibt das Geburtsdatum des Versicherten an (das Datum muss in der Vergangenheit liegen).',
		ehc_gender : 'Geschlecht des Versicherten.',
		ehc_insuredId : 'Die Versicherten-ID ist der 10-stellige unveränderliche Teil der 30-stelligen Krankenversichertennummer (z.B. A123456789).',
		ehc_insuranceType : 'Versichertenart des Versicherten.',
		ehc_startOfInsurance : 'Beginn des Versicherungsschutzes (das Datum muss in der Vergangenheit liegen). ',
		ehc_endOfInsurance : 'Ende der Mitgliedschaft des Versicherten oder das Datum des Fristablaufs bei befristeter Gültigkeit der Karte. Das Datum ist optional.',
		ehc_insuranceId : 'Gibt den Kostenträger des Versicherten an. Es handelt sich um das bundesweit gültige Institutionskennzeichen (IK) des jeweiligen Kostenträgers (z.B. 999567890).',
		ehc_insuranceName : 'Namen des Kostenträgers (max. 45 Zeichen).',
		ehc_zuzahlungsStatus : 'Gibt an, ob für den Versicherten eine Befreiung von der Zuzahlungspflicht nach § 62 SGB V vorliegt.',
		ehc_schemaVersion : 'Version des Schemas, das verwendet wird, um die XML-Daten zu generieren.',
		ehc_lastUpdate : 'Datum des letzten Updates der Karte (das Datum muss in der Vergangenheit liegen). Das Datum wird mit dem aktuellen Datum überschrieben, wenn eine Aktualisierung vorliegt.',
		ehc_description : 'Beschreibungstext für die Versichertenkarte.',
	
		ehc_pd : 'Angabe, ob die generierten XML-Daten durch eine manuelle Eingabe überschrieben werden sollen (z.B. um einen schema-invaliden Datensatz zu erzeugen).',
		ehc_pdCompress : 'Angabe, ob die XML-Daten an der Schnittstelle spezifikationskonform mit GZIP komprimiert werden sollen. ',
		ehc_vd : 'Angabe, ob die generierten XML-Daten durch eine manuelle Eingabe überschrieben werden sollen (z.B. um einen schema-invaliden Datensatz zu erzeugen).',
		ehc_vdCompress : 'Angabe, ob die XML-Daten an der Schnittstelle spezifikationskonform mit GZIP komprimiert werden sollen. ',
		ehc_gvd : 'Angabe, ob die generierten XML-Daten durch eine manuelle Eingabe überschrieben werden sollen (z.B. um einen schema-invaliden Datensatz zu erzeugen).',
		ehc_gvdCompress : 'Angabe, ob die XML-Daten an der Schnittstelle spezifikationskonform mit GZIP komprimiert werden sollen. ',
		ehc_pn : 'Angabe, ob die generierten XML-Daten durch eine manuelle Eingabe überschrieben werden sollen (z.B. um einen schema-invaliden Datensatz zu erzeugen).',
		ehc_pnCompress : 'Angabe, ob die XML-Daten an der Schnittstelle spezifikationskonform mit GZIP komprimiert werden sollen. ',
		
		smcb_label : 'Bezeichnung der Praxiskarte.',
		smcb_iccsn : 'ICCSN der Praxiskarte (z.B. 80276991110000000000).',
		smcb_cardHolderName : 'Name der Praxis, die durch die Praxiskarte repräsentiert wird.',
		smcb_initialPinStatus : 'PIN-Status der Praxiskarte beim Stecken der Karte ins Kartenterminal.',
		smcb_certExpirationDate : 'Gibt die Gültigkeit der Praxiskarte an (das Datum muss in der Zukunft liegen).',
		smcb_cardType : 'Typ der Praxiskarte.',
		smcb_description : 'Beschreibungstext für die Praxiskarte.',
		smcb_administrated : 'Angabe, ob diese SMC-B im Konnektor registriert wurde, und damit für den jeweiligen Aufrufkontext als verwaltet gilt.',

		
		live_client_servicehook_service : 'Dienst für den ein übersteuertes Antwortverhalten definiert werden soll.',
		live_client_servicehook_serviceMethod : 'Methode des ausgewählten Dienstes für die ein übersteuertes Antwortverhalten definiert werden soll.',
		live_client_servicehook_serviceError : 'Optionaler Fehler, der beim Aufruf der ausgewählen Methode geworfen werden soll.',
		live_client_servicehook_serviceInterception : 'Optionale technische Manipulation der SOAP-Antwort (nicht jede Manipulation stellt einen Fehler da)',
		live_client_servicehook_serviceInterceptionData : 'Soll eine durch den Benutzer definierte Antwort zurückgegeben werden, kann diese hier hinterlegt werden.',
		live_client_servicehook_delayBefore : 'Optionale Verzögerung in Millisekunden, die vor der Verarbeitung der Methode gewartet werden soll.',
		live_client_servicehook_delayAfter : 'Optionale Verzögerung in Millisekunden, die nach der Verarbeitung der Methode gewartet werden soll.',
		live_client_servicehook_active : 'Über diesen Schalter kann die Übersteuerung des Antwortverhaltens aktiviert bzw. deaktiviert werden.',
		
		clientsystem_clientSystemId : 'ID des Client-Systems.',
		clientsystem_authenticationDataOverride : 'Angabe, ob die Standardwerte des Konnektors für die Authentifizierung überschrieben werden sollen.',
		clientsystem_username : 'Benutzername für die BasicAuthentication.',
		clientsystem_password : 'Passwort für die BasicAuthentication.',
		clientsystem_truststoreName : 'Speicher vertrauenswürdiger Zertifikate für den Verbindungsaufbau mit Clientauthentifizierung (Passwort="123456").',
	},
  
	initUI : function() {
		$.each(PuppetryInfos.texts, function(key, entry) {
			$('.' + key.replace(/_/g, "-") + ' .status.help').each(function() {
				$(this).attr('data-original-title', entry);
				$(this).attr('info',entry)
			});
		});
		
		$('.status.help').tooltip();		
	},
};