function PuppetrySystemInfoUI() {
	this._header = '<span class="font-50">Systeminformation</span>';
	this._contentId = '.systeminfo-content';
	this._menuItemId = '.common-systeminfo';
}
		
PuppetrySystemInfoUI.prototype.initUI = function() {
	var self = this;
	
};

PuppetrySystemInfoUI.prototype.showUI = function(source, detail) {
	var self = this;
	
	if ($('#wrapper').hasClass('admin-mode')) {
		$('.admin-mode > .header').html(this._header);
		$('.admin-content').hide();
	} else {
		$('.live-mode > .header').html(this._header);
		$('.live-content').hide();
	}
	var detailHeight = $(window).height() - $('.navbar.navbar-default').height();
	$(this._contentId).css('min-height', detailHeight);
	$(this._contentId).show();
	
	PuppetrySystemService.getInfos(
		function(data, textStatus, jqXHR) {
			
			$('.puppetry-version').text(data.productVersion);
			$('.config-version').text(data.configurationVersion);
			$('.testset-version').text(data.testSetVersion);
			$('.spec-version').text(data.basedOnSpec);
			$('.ps-manufacturer').text(data.psManufacturer);
			$('.ps-referencenumber').text(data.psReferencenumber);
		}, 
		EHexServiceUtil.onErrorHandler, 
		this
	);
};
		

